<?php
  $photos = [
    [
        'filename' => '01',
        'caption' => "Raja Feather Kelly<br class='visible-xs'> (Choreographer)",
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '03',
        'caption' => 'Rachel Chavkin (Director)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '04',
        'caption' => 'Matt Gould (Book &amp; Music)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '05',
        'caption' => 'Carson Kreitzer<br> (Book, Lyrics, and&nbsp;Original&nbsp;Concept)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '08',
        'caption' => 'Eden Espinosa (Tamara&nbsp;de&nbsp;Lempicka)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '10',
        'caption' => 'L-R: Beth Leavel (the Baroness),<br> Amber&nbsp;Iman&nbsp;(Rafaela), Eden&nbsp;Espinosa',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '11',
        'caption' => 'L-R: Amber Iman, Eden&nbsp;Espinosa',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '12',
        'caption' => 'L-R: Amber Iman, Eden&nbsp;Espinosa,<br> Natalie&nbsp;Joy&nbsp;Johnson (Suzy&nbsp;Solidor)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '14',
        'caption' => 'L-R: Amber Iman, Eden&nbsp;Espinosa,<br> Andrew&nbsp;Samonsky (Tadeusz&nbsp;Lempicki)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '15',
        'caption' => 'Amber Iman',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '19',
        'caption' => 'L-R: Natalie Joy Johnson, George&nbsp;Abud&nbsp;(Marinetti)',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '20',
        'caption' => 'Beth Leavel',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '35',
        'caption' => 'L-R: Andrew Samonsky, Eden&nbsp;Espinosa',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '40',
        'caption' => 'Andrew Samonsky',
        'alt' => '&nbsp;'
    ],
    [
        'filename' => '41',
        'caption' => 'George Abud',
        'alt' => '&nbsp;'
    ],
    // Add more entries as needed
  ];
?>
<section id="photos">
  <ul id="photo-thumbs">
    <?php for($i=0;$i<count($photos);$i++): ?>
    <li class="photo-thumb">
      <button class="photo-button" data-number="<?= $i ?>" data-filename="<?= $photos[$i]['filename'] ?>"
        data-caption="<?= $photos[$i]['caption'] ?>">
        <picture>
          <source type="image/webp" srcset="./_img/_photos/thumb-<?= $photos[$i]['filename'] ?>.webp">
          <source type="image/jpg" srcset="./_img/_photos/thumb-<?= $photos[$i]['filename'] ?>.jpg">
          <img src="./_img/_photos/thumb-<?= $photos[$i]['filename'] ?>.jpg" class="w100" alt="<?= $photos[$i]['caption'] ?>" loading="lazy" width="400">
        </picture>
      </button>
    </li>
    <?php endfor; ?>
  </ul>
</section>
<style>
  .photo-thumb {
    display: inline-block;
    margin: .5em;
  }
  .photo-thumb button {
    width: 9em;
    height: 9em;
    background: #111;
    overflow: hidden;
    cursor: pointer;
    transition: opacity .2s ease-out;
  }
  .photo-thumb button:hover {
    opacity: .8;
  }
  #photo-overlay {
    z-index: 100000;
  }
  .overlay-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
  }
  #photo-gallery {
    border-radius: 1em;
    padding-top: 2em;
    padding-bottom: 4em;
    overflow: visible;
    width: 100%;
    max-width: 960px;
    overflow: hidden;
  }
  @media(orientation:portrait){
    #photo-gallery {
      max-width: 100vh;
    }
  }
  #photo-gallery:before,
  #photo-gallery:after  {
    position: absolute;
    top: 0; left: 0; height: 100%; width: 100%;
    z-index: 0;
    pointer-events: none;
  }
  #photo-gallery:before {
    border: 2px solid #b28d28;
    border-radius: 1em;
    z-index:3;
  }
  #photo-gallery:after {
    background-color: #111;
    background-image: url(./_img/preload.gif);
    background-position: center;
    background-size: 10%;
    background-repeat: no-repeat;
    transition: opacity .5s ease-in-out;
    opacity: 0.5;
  }
  .page-loaded #photo-gallery:after {
    opacity: 0;
  }
  #photo-gallery nav {
    position: absolute;
    width: 100%; height: 100%;
    top: 0;
  }
  ul.photos {
    width: calc(100%);
    height: 0;
    padding-bottom: 80%;
    margin: 0 auto;
    opacity: 0;
    transition: opacity .5s ease-in-out;
    z-index:2;
    position: relative;
  }
  li.photo {
    position: absolute!important;
    top: 0; left: 0; width: 100%; height: 100%;
  }
  .page-loaded ul.photos {
    opacity: 1;
  }
  li.photo { opacity: 0; transition: opacity .3s ease-in-out; }
  li.photo.active { opacity: 1; }
  #photo-gallery nav {
    z-index: 5;
  }
  .photo-caption {
    position: absolute;
    top: calc(100% + .5em);
    left: 0;
    width: 100%;
    font-size: .875em;
    line-height: 1.2;
    padding: 0 1em;
    text-align: center;
    opacity: 0;
    transition: opacity .3s ease-in-out;
  }
  .current .photo-caption {
    opacity: 1;
  }
</style>